Subject: [Dime] RE: Route-Record AVPs in responses

From: <[email-masked]>
Date: Mon, 18 Jun 2007 11:19:20 -0500

Forwarding this to the DIME mailing list, where thiese issues are
discussed.

John 

>-----Original Message-----
>From: ext [email-masked] [mailto:[email-masked]] 
>Sent: 14 June, 2007 02:19
>To: Loughney John (Nokia-NRC/PaloAlto)
>Cc: [email-masked]
>Subject: Route-Record AVPs in responses
>
>Dear John,
>
>from current work, I had to clarify the presence and use of  
>Route-Record AVPs in Diameter Responses, in particular 
>Credit-Control-Answer messages.
>Just to make sure, I double checked 3588 and Draft  3588bis-04 
>and as many AAA WG messages as I could!
>
>And I found no clarification and reference to any recent discussion.
>
>Googling, I found the conversation you had back in 2003 with 
>Pasi.  It seems to me that the issues raised there are still 
>current and not solved.
>
>Applications like NASREQ and CCA have included Route-Record 
>AVPs in their responses, but say nothing about the values and 
>the processing.
> 
>And it is unclear whether the server reflects the received 
>list of Route-Record AVPs and the relays and proxies on the 
>return path "peel off" 
>the AVPs one by one
>OR alternatively the server removes all Route-Record AVPs and  
>each agent adds in the identity of the Diameter peer it 
>received the answer from in a new Route-Record, before 
>forwarding the response.
>
>I really hope I have missed a clarification !
>
>Best regards
>
>Mike Hillier
>
>
>RE: : Route-Record AVP in responses
>
>
>Subject: 
>RE: : Route-Record AVP in responses
>
>Hi Pasi,
>
>These changes sound too big to make within the authors' 48 
>hour period, so I think we need to file these as a bug for the future.
>
>I think the list should discuss what is the best way to solve this.
>
>John
>
>> -----Original Message-----
>> From: ext [mailto:[email-masked]]
>> Sent: 02 September, 2003 21:50
>> To: Loughney John (NRC/Helsinki); [email-masked]
>> Cc: [email-masked]
>> Subject: RE: [AAA-WG]: Route-Record AVP in responses
>> 
>> 
>> 
>> John Loughney wrote:
>> > Yes, and I am waiting on the simple fixes that don't get us into 
>> > trouble ;)
>> 
>> Let's see what changes would be needed... if we stick with the 
>> decision in issue 228 (no Route-Record AVPs in responses), 
>Base needs 
>> these changes:
>> 
>> - In section 2.10, delete the paragraph that starts 
>>   "Similarly, the local Diameter agent..."
>> - In 10.2 (AVP occurrence table), change "0+" to "0"
>>   in cell (Route-Record,ACA).
>> 
>> From editing point of view, the changes are small--but might get us 
>> into trouble since it removes some functionality... 
>(especially since 
>> the deleted paragraph also discusses some security issues).
>> 
>> If we decide that responses DO have Route-Records, we need to change 
>> the following:
>> 
>> - First we have to decide whether the Route-Record AVPs are 
>>   added to the response one-by-one (as it gets forwarded 
>>   back to the client), or if the server does it (by copying
>>   all the Route-Record AVPs from the request). While the latter
>>   was used in e.g. Base-05, IMHO the former seems much less
>>   problematic.
>> - The former approach would mean adding a new paragraph to 
>>   Section 6.2.2  (after the first one): "A proxy or relay agent 
>>   MUST append a Route-Record AVP to all responses forwarded. 
>>   The AVP contains the identity of the peer the response was 
>>   received from."
>> - In 10.1 (AVP occurrence table), change "0" to "0+" in 
>>   cells Route-Record X (RAA,ASA,STA)
>> - Add "* [ Route-Record ]" to ABNFs (after Proxy-Info) 
>>   in 8.3.2 (RAA), 8.4.2 (STA), 8.5.2 (ASA) and 9.7.2 (ACA)
>> 
>> (Either way, NASREQ needs changes as well. I can try to figure out 
>> what they are when we decide which way to go.)
>> 
>> Best regards,
>> Pasi
>> 
>
>
>
>
>
>
>
>Michael Hillier
>Vodafone Group Technology
>
>Mobile (Vodafone)  +49 170 5454 121
>
>[email-masked]
>[email-masked]
>
>
>
>

_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime